TilesUtilStrutsImpl (Apache Struts API Documentation)
Keywords: org.apache.struts.tiles.TilesUtilStrutsImpl,TilesUtilStrutsImpl class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.tiles
Class TilesUtilStrutsImpl

    java.lang.Object
      |
      +--org.apache.struts.tiles.TilesUtilImpl
            |
            +--org.apache.struts.tiles.TilesUtilStrutsImpl

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  TilesUtilStrutsModulesImpl

public class TilesUtilStrutsImpl
extends TilesUtilImpl

TilesUtil implementation for Struts 1.1 with one single factory. This class contains default implementation of utilities. This implementation is intended to be used with Struts 1.1. This class is used as the base class for all Struts 1.1 implementations of TilesUtil.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.struts.tiles.TilesUtilImpl
`DEFINITIONS_FACTORY, log`

Constructor Summary
`TilesUtilStrutsImpl()`

Method Summary
`java.lang.Class` | `applicationClass(java.lang.String className)` Deprecated. Use RequestUtils.applicationClass() instead.
`DefinitionsFactory` | `getDefinitionsFactory(javax.servlet.ServletContext servletContext, ModuleConfig moduleConfig)` Get definition factory for the module attached to the specified moduleConfig.

Methods inherited from class org.apache.struts.tiles.TilesUtilImpl
`createDefinitionFactoryInstance, createDefinitionsFactory, doForward, doInclude, doInclude, getDefinitionsFactory, makeDefinitionsFactoryAccessible`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TilesUtilStrutsImpl

    public TilesUtilStrutsImpl()

Method Detail

### applicationClass

    public java.lang.Class applicationClass(java.lang.String className)
                                     throws java.lang.ClassNotFoundException

  Deprecated. Use RequestUtils.applicationClass() instead.

  Return the `Class` object for the specified fully qualified class name from the Struts class loader.

  Overrides:
    `applicationClass` in class `TilesUtilImpl`
  Parameters:
    `className` - Fully qualified class name to be loaded.
  Returns:
    Class object.
  Throws:
    `java.lang.ClassNotFoundException` - if the class cannot be found

### getDefinitionsFactory

    public DefinitionsFactory getDefinitionsFactory(javax.servlet.ServletContext servletContext,
                                                    ModuleConfig moduleConfig)

  Get definition factory for the module attached to the specified moduleConfig.

  Parameters:
    `servletContext` - Current servlet context
    `moduleConfig` - Module config of the module for which the factory is requested.
  Returns:
    Definitions factory or null if not found.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 - Apache Software Foundation